<?xml version="1.0" encoding="utf-8"?>
<DUMMY>

<TEMPLATE id="TPL_CONST_VALUE_PARAM" value="0">
	<PARAM id="$id$" min="$value$" default="$value$" max="$value$"/>
</TEMPLATE>

<TPL_CONST_VALUE_PARAM id="zero_value" value="0"/>
<TPL_CONST_VALUE_PARAM id="one_value" value="1"/>

<PARAM_MULTI_LINK id="flat_link" from="zero_value" to="$pre_gain$;$low_gain$;$high_gain$;$band1_gain$;$band2_gain$;$band3_gain$;$band4_gain$;$band5_gain$;$post_gain$" enabled="false"/>
<PARAM_MULTI_LINK id="all_off_link" from="zero_value" to="$low_on$;$high_on$;$band1_on$;$band2_on$;$band3_on$;$band4_on$;$band5_on$" enabled="false"/>
<PARAM_MULTI_LINK id="all_on_link" from="one_value" to="$low_on$;$high_on$;$band1_on$;$band2_on$;$band3_on$;$band4_on$;$band5_on$" enabled="false"/>

<PARAM id="lowest_value" default="0" min="0" max="0"/>

<DEFINE>
<CUS_GAIN_PARAM base_type="PARAM" default="0" min="-40" max="40"/>
</DEFINE>

<TEMPLATE id="TPL_BAND_LINKS">
	<CUS_GAIN_PARAM id="mid$index$_max"/>	
	<PARAM_LINK from="lowest_value" to="mid$index$_max" enabled="true" id="lowest_to_mid$index$_max"/>
	<PARAM_LINK from="$band$index$_gain$" to="mid$index$_max" enabled="false" id="value_to_mid$index$_max"/>
	<PARAM_LINK from="$band$index$_on$" to="lowest_to_mid$index$_max.enabled" enabled="true" reverse="true"/>
	<PARAM_LINK from="$band$index$_on$" to="value_to_mid$index$_max.enabled" enabled="true"/>
</TEMPLATE>

<CUS_GAIN_PARAM id="low_max"/>
<PARAM_LINK from="lowest_value" to="low_max" enabled="true" id="lowest_to_low_max"/>
<PARAM_LINK from="$low_gain$" to="low_max" enabled="false" id="value_to_low_max"/>
<PARAM_LINK from="$low_on$" to="lowest_to_low_max.enabled" enabled="true" reverse="true"/>
<PARAM_LINK from="$low_on$" to="value_to_low_max.enabled" enabled="true"/>

<TPL_BAND_LINKS index="1"/>
<TPL_BAND_LINKS index="2"/>
<TPL_BAND_LINKS index="3"/>
<TPL_BAND_LINKS index="4"/>
<TPL_BAND_LINKS index="5"/>

<CUS_GAIN_PARAM id="high_max"/>
<PARAM_LINK from="lowest_value" to="high_max" enabled="true" id="lowest_to_high_max"/>
<PARAM_LINK from="$high_gain$" to="high_max" enabled="false" id="value_to_high_max"/>
<PARAM_LINK from="$high_on$" to="lowest_to_high_max.enabled" enabled="true" reverse="true"/>
<PARAM_LINK from="$high_on$" to="value_to_high_max.enabled" enabled="true"/>

<PARAM_MULTI_LINK from="low_max;high_max;mid1_max;mid2_max;mid3_max;mid4_max;mid5_max;lowest_value" to="$pre_gain$" mux_function="-max" id="auto_link" enabled="false" />

</DUMMY>
